<template>
	<view class="main">
		<view class="form_group">
			<view class="lable re">职位名称</view>
			<input placeholder="请输入" v-model="item.title" />
		</view>
		<view class="form_group">
			<view class="lable re">职位类型</view>
			<picker :disabled="true" @click="go('/pages/job/position/classification')">
				<input placeholder="请选择" v-model="item.positionName" :disabled="true" />
				<view class="icon more">&#xe8f2;</view>
			</picker>
		</view>
		<view class="form_group">
			<view class="lable re">职位描述(要求)</view>
			<leditor ref="editor" v-model="item.contents" placeholder="请输入职位描述"></leditor>
		</view>
		<view class="form_group">
			<view class="lable re">经验要求</view>
			<picker :range="dict.experience" @change="picker($event, 'experience')">
				<input placeholder="请选择" v-model="item.experience" :disabled="true" />
				<view class="icon more">&#xe8f2;</view>
			</picker>
		</view>
		<view class="form_group">
			<view class="lable re">薪资范围</view>
			<multiSelector v-model="item.salary" :range="dict.salary" name="薪资" placeholder="请选择薪资范围"></multiSelector>
		</view>
		<view class="form_group">
			<view class="lable re">工作地点</view>
			<picker :disabled="true" @click="chooseLocation()">
				<input placeholder="请选择" v-model="item.location" :disabled="true" />
				<view class="icon more">&#xe8f2;</view>
			</picker>
			<input placeholder="请输入楼层/单元室/门牌号" v-model="item.mph" v-if="item.address" />
			<view class="bz">请仔细确认位置点，否置会影响求职者导航</view>
		</view>
		<button class="btn" @click="save()">{{ item.id ? '编辑' : '保存' }}</button>
	</view>
</template>
<script>
export default {
	data() {
		return {
			item: { type: 0 },
			dict: {
				positionName: this.util.getData('positionName'),
				experience: this.util.getData('experience'),
				salary: [['面议'], ['']]
			}
		};
	},
	onLoad(e) {
		if (e.id) {
			this.http.request({
				url: '/app/position/manage/detail/' + e.id,
				success: (res) => {
					this.item = res.data.data;
					this.$refs.editor.setContents();
					uni.setNavigationBarTitle({ title: '编辑职位' });
				}
			});
		}
		uni.$on('select_position', (res) => {
			this.item.positionName = res.title;
			this.item.positionId = res.id;
			this.$forceUpdate();
		});
	},
	methods: {
		picker(e, tag) {
			this.item[tag] = this.dict[tag][e.detail.value];
			this.$forceUpdate();
		},
		go(url) {
			uni.navigateTo({ url: url });
		},
		chooseLocation() {
			uni.chooseLocation({
				success: (res) => {
					let reg = /.+?(省|市|自治区|自治州|县|区)/g;
					let addressList = res.address.match(reg).toString().split(',');
					//注意区分直辖市;
					let city = addressList.length >= 3 ? addressList[1] : addressList[0];
					let region = addressList.length >= 3 ? addressList[2] : addressList[1];
					this.item.location = res.name;
					this.item.address = res.address;
					this.item.longitude = res.longitude;
					this.item.latitude = res.latitude;
					this.item.regionName = region;
					this.item.cityName = city;
					this.$forceUpdate();
				}
			});
		},
		save() {
			this.http.request({
				url: this.item.id ? '/app/position/manage/edit' : '/app/position/manage/add',
				data: this.item,
				method: 'POST',
				success: (res) => {
					//实名认证跳转
					if (res.data.code == 7878) {
						uni.showModal({
							title: '提示',
							content: res.data.msg,
							showCancel: false,
							success: (res) => {
								uni.navigateTo({ url: '/pages/user/auth' });
							}
						});
						return;
					}
					//企业认证跳转
					if (res.data.code == 7979) {
						uni.showModal({
							title: '提示',
							content: res.data.msg,
							showCancel: false,
							success: (res) => {
								uni.navigateTo({ url: '/pages/user/enterprise/index' });
							}
						});
						return;
					}
					uni.showToast({ title: '操作成功' });
					setTimeout(() => {
						uni.$emit('position');
						uni.navigateBack();
					}, 1500);
				}
			});
		}
	}
};
</script>

<style lang="scss"></style>
